<template>
	<view class="pages-task-log-item vert-line">
		<view class="btn-no "> {{taskData.taskButton}}
		</view>
		<view class="content">
			<view class="line">
				<view class="title"> {{taskData.taskGroupName}}</view>
				<view class="status" :style="{'background-color':taskStatusColor+ '20','color':taskStatusColor}">
					{{taskStatusText}}
				</view>
			</view>
			<view class="line"><text class="text">{{taskData.startTime}}-{{taskData.endTime}} </text>
				<text class="text">{{taskData.duration}}min</text>
				<text class="text">{{taskData.cycleNumber}}次</text>
			</view>
		</view>
	</view>

</template>

<script>
	import {
		showToast,
		showModal
	} from "@/comm/utils.js"
	export default {
		name: "PagesTaskLogItem",
		props: {
			taskData: {
				type: Object,
				default () {
					return {};
				}
			},
		},
		data() {
			return {

			}
		},
		computed: {
			taskStatusText() {
				let statusText = ""
				if (this.taskData.status == 1) {
					statusText = "任务执行中"
				} else if (this.taskData.status == 2) {
					statusText = "任务完成"
				} else if (this.taskData.status == 3) {
					statusText = "任务取消"
				} else if (this.taskData.status == 4) {
					statusText = "任务异常"
				} else if (this.taskData.status == 5) {
					statusText = "任务强制完成"
				} else {
					statusText = ""
				}
				return statusText
			},
			taskStatusColor() {
				let statusColor = ""
				if (this.taskData.status == 1) {
					statusColor = "#0055ff"
				} else if (this.taskData.status == 2) {
					statusColor = "#237804"
				} else if (this.taskData.status == 3) {
					statusColor = "#787277"
				} else if (this.taskData.status == 4) {
					statusColor = "#D4380D"
				} else if (this.taskData.status == 5) {
					statusColor = "#55aa00"
				} else if (this.taskData.status == 5) {
					statusColor = "#000000"
				}
				return statusColor
			}
		},

		methods: {
			setData(obj) {
				let that = this;
				let keys = [];
				let val, data;

				Object.keys(obj).forEach(function(key) {
					keys = key.split(".");
					val = obj[key];
					data = that.$data;
					keys.forEach(function(key2, index) {
						if (index + 1 == keys.length) {
							that.$set(data, key2, val);
						} else {
							if (!data[key2]) {
								that.$set(data, key2, {});
							}
						}
						data = data[key2];
					});
				});
			},
			clickTask() {
				this.$emit('click-item', this.taskData)
			}

		}
	}
</script>

<style lang="scss" scoped>
	.pages-task-log-item {
		width: 100%;
		display: flex;
		flex-direction: row;
		align-items: center;

		.btn-no {
			margin: 0 10rpx 0 20rpx;
			border-radius: 25rpx;
			background-color: #E6F7FF;
			color: #1890FF;
			width: 50rpx;
			height: 50rpx;
			line-height: 54rpx;
			justify-content: center;
			align-items: center;
			text-align: center;
		}


		.content {
			flex: 1;

			.line {
				padding: 10rpx 0;
				width: 100%;
				display: flex;
				flex-direction: row;
				flex-wrap: wrap;

				.title {
					font-size: 36rpx;
					font-weight: 600;
				}

				.status {
					margin-left: 10rpx;
					padding: 4rpx;
				}

				.text {
					padding: 0 20rpx;
					font-size: 30rpx;
					color: #888;
				}

				.date {
					padding: 0 20rpx;
					font-size: 30rpx;
				}

				.vert-line {
					border-right: 2rpx solid #ccc;
				}
			}
		}


	}
</style>